package capitulo04.bloque09;

public class Ejercicio05 {
    public static void main(String[] args) {
        int[] array = {1, 2, 3, 2, 4, 2, 5};
        int valorARemover = 2;

        System.out.println("Array original:");
        for (int num : array) {
            System.out.print(num + " ");
        }

        int[] nuevoArray = removeInteger(array, valorARemover);

        System.out.println("\nArray después de remover el valor " + valorARemover + ":");
        for (int num : nuevoArray) {
            System.out.print(num + " ");
        }
    }

    public static int[] removeInteger(int[] array, int valor) {
        int ocurrencias = Ejercicio04.countOccurrences(array, valor);

        int[] nuevoArray = new int[array.length - ocurrencias];

        int indiceNuevo = 0;
        for (int i = 0; i < array.length; i++) {
            if (array[i] != valor) {
                nuevoArray[indiceNuevo] = array[i];
                indiceNuevo++;
            }
        }

        return nuevoArray;
    }
}